devguard
Policies

Get a list of paginated policies.

GET
/policies/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

limit?number
Range5 <= value
Default100
page?number
Range1 <= value
Default1
organizationId*string
filterByTitle?string
category?string
filterByArchived?string
Default"active"

Value in

  • "active"
  • "archived"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/policies/?organizationId=string"
{  "items": [    {      "id": "string",      "title": "string",      "slug": "string",      "order": -9007199254740991,      "categoryId": "string",      "organizationId": "string",      "approverId": "string",      "status": "DRAFT",      "content": null,      "currentVersion": "string",      "lastApprovedAt": "string",      "lastApprovedBy": "string",      "createdAt": "string",      "updatedAt": "string",      "archivedAt": "string"    }  ],  "total": 0,  "page": 0,  "limit": 0}

How is this guide?